Package Details: wwwoffle 2.9i-7

Git Clone URL: (read-only)
Package Base: wwwoffle
Description: Simple caching proxy server with special features (request, recursive fetch, ...) for use with dial-up internet links. Includes startup scripts for OpenRC, System V init, systemd.
Upstream URL:
Licenses: GPL
Provides: wwwoffle-openrc=2.9i, wwwoffle-systemd=2.9i, wwwoffle-sysvinit=2.9i
Submitter: None
Maintainer: None
Last Packager: dreieck
Votes: 7
Popularity: 0.005606
First Submitted: 2007-06-16 10:49
Last Updated: 2016-02-01 12:02

Required by (0)

Sources (6)

Latest Comments

dreieck commented on 2016-02-14 11:37

The author of wwwoffle is not going to do any further releases, but still cares about the software, fixes bugs, and adds small improvements in the SVN-tree. So, use the package 'wwwoffle-svn' ('). 'wwwoffle' is out of date as the releases are out of date.

dreieck commented on 2016-02-01 14:29

I am going to maintain the SVN version,, so I disown this package.

dreieck commented on 2016-02-01 12:24

Consider the package wwwoffle-svn (, which includes higher bit depth for wwwoffle's root certificate, and some other changes (see

dreieck commented on 2016-01-28 15:36

Updated the PKGBUILD:

Documentation is now at
not anymore at

Also, the HTML documentation at
is now symlinked to

jaro3 commented on 2015-07-10 01:36

Works for me fine:

/usr/bin/wwwoffle -config -c /etc/wwwoffle/wwwoffle.conf
WWWOFFLE Reading Configuration File.
WWWOFFLE Read Configuration File.

ps -aef | grep wwwoffle
wwwoffle 9576 1 0 10:27 ? 00:00:00 /usr/sbin/wwwoffled -d -c /etc/wwwoffle/wwwoffle.conf

ls -la /etc/wwwoffle/wwwoffle.conf
-rw-r----- 1 wwwoffle wwwoffle 53773 Jun 6 18:24 /etc/wwwoffle/wwwoffle.conf

Have you tried the stock wwwoffle.conf and get proper user/file permissions?

dreieck commented on 2015-06-29 11:37

@jaro3: For some reason manually doing "reload"-action (using /usr/bin/wwwoffle -config -c /etc/wwwoffle/wwwoffle.conf at the command line) just gives an error by wwwoffle:

WWWOFFLE Reading Configuration File.
Configuration file syntax error at line 0 in '/etc/wwwoffle/wwwoffle.conf'; Cannot open the configuration file '/etc/wwwoffle/wwwoffle.conf' for reading.
WWWOFFLE Error Reading Configuration File.

although wwwoffle starts up fine from exactly the same config file (line 0 is just a comment, as well as the following lines)

Does it work with you when using it with systemd?

dreieck commented on 2015-06-29 11:33

@jaro3: Updated. You can test.

jaro3 commented on 2015-06-06 09:02

I vote for all in one package, make it simple. Here is my /usr/lib/systemd/system/wwwoffle.service which seems to work just fine:

# taken from
Description=The wwwoffle proxy server

ExecStart=/usr/sbin/wwwoffled -d -c /etc/wwwoffle/wwwoffle.conf
ExecReload=/usr/bin/wwwoffle -config -c /etc/wwwoffle/wwwoffle.conf


dreieck commented on 2015-06-01 10:38


I will once I am back at my local machine (may last some weeks).

I don't use systemd but openrc (from the openrc-eudev repository) and I already made an openrc init script, but only locally up to now, not included in the AUR-package yet.

I could also include the systemd service file, so that the AUR-package has files for
* the "old" system V init,
* openrc, and
* systemd,

but I cannot test the systemd-part.

So I can just copy your suggestion and hope it works.

Or we strip out any init-system stuff from the package 'wwwoffle', and instead add three additional packages which just provide the init-scripts and depend on 'wwwoffle':
* wwwoffle-sysvinit,
* wwwoffle-openrc,
* wwwoffle-systemd,

and so you, jaro3, coulds provide the latter and test it.

Whjatr is better? All in one package, or base backage without any initscripts and optional additional packages with initscripts for the individual init systems?


jaro3 commented on 2015-05-26 09:39

Please update PKGBUILD for new filesystem and systemd:


install -D -m644 "${srcdir}/wwwoffle.service" "${pkgdir}/usr/lib/systemd/system/wwwoffle.service"

( taken from )

dreieck commented on 2013-08-14 17:02

Updated to version 2.9i.

kralibes commented on 2013-08-11 19:23

Could you please update it to 2.9i?

dreieck commented on 2012-10-05 11:12

Updated to latest version 2.9h.